AXR
August 25, 2025, 7:21pm
1
Hello,
I am trying to install Aerial on an Ubuntu 22.04.3 live-server VM that has 2 A100 GPUs connected to it. I have secure boot disabled on the VM via mokutils.
I am following the steps for installing the Aerial Omniverse Digital Twin on a Dell R750 (Colocated) as shown here: Installation — Aerial Omniverse Digital Twin
I use the make_install.sh script to install the graphics and cuda drivers.
I can execute all commands until the ./install.sh command, which produces error described in the attached log file.
I would appreciate any help in resolving this issue.
install_20250825_213003.log (2.7 KB)
Hi @AXR
Please generate a TOKEN as below and try again:
export NGC_CLI_API_KEY=<NGC_CLI_API_KEY>
AUTH_URL=https://authn.nvidia.com/token?service=ngc&scope=group/ngc:esee5uzbruax&group/ngc:esee5uzbruax/
TOKEN=$(curl -s -u “\$oauthtoken”:“$NGC_CLI_API_KEY” -H “Accept:application/json” “$AUTH_URL” | jq -r ‘.token’)
This is a temporary fix until the issue gets resolved in the next AODT release 1.3.0, Thanks.
AXR
August 26, 2025, 9:57pm
3
I tried this but I received the same error message upon running install.sh. I have attached the log for reference.
Here’s the sequence of commands that I used:
export NGC_CLI_API_KEY=MY_API_KEY
AUTH_URL=“https://authn.nvidia.com/token?service=ngc&scope=group/ngc:esee5uzbruax&group/ngc:esee5uzbruax/”
TOKEN=$(curl -s -u “$oauthtoken”:“$NGC_CLI_API_KEY” -H “Accept:application/json” "$AUTH_URL
" | jq -r ‘.token’)
curl -L “https://api.ngc.nvidia.com/v2/org/esee5uzbruax/resources/aodt-installer/versions/$versionT
ag/files/aodt_1.2.0.zip” -H “Authorization: Bearer $NGC_CLI_API_KEY” -H “Content-Type: application/json” -o $downloadedZip
unzip -o $downloadedZip || jq -r . $downloadedZip
cd aodt_1.2.0
./make_install.sh
./install.sh
install_20250826_215355.log (3.1 KB)